Page MenuHomePhabricator

Don't show virtual namespaces as a selectable namespace
Closed, ResolvedPublic3 Story Points

Description

Motivation
Right now, on fr-wp, you can select the "Sujet" namespace, although there is no content stored there. Instead it is a virtual namespace that was created for the Flow boards on french Wikipedia ( see also T202010#4522547). Since virtual namespaces never contain content, they should not be selectable for search

Acceptance Criteria

  • The sujet namespace is not visible in fr-wp anymore, and no topic namespace on mediawiki.org

Notes

  • According to T202010#4522547, this should be doable by filtering out the NS_TOPIC namespace (=2600)
  • This can probably only be unit tested
  • Find out if virtual namespaces are known to the client-side, move to server-side injection of namespace config into client-side code.

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptAug 24 2018, 11:48 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lea_WMDE updated the task description. (Show Details)Aug 27 2018, 9:06 AM
Lea_WMDE set the point value for this task to 3.
kai.nissen updated the task description. (Show Details)Sep 3 2018, 10:23 AM
Tim_WMDE claimed this task.Sep 3 2018, 2:33 PM
Tim_WMDE moved this task from Todo to Doing on the WMDE-FUN-Sprint-2018-09-03 board.

Change 457885 had a related patch set uploaded (by Tim Eulitz; owner: Tim Eulitz):
[mediawiki/extensions/AdvancedSearch@master] Ensure only searchable namespaces are displayed

https://gerrit.wikimedia.org/r/457885

Tim_WMDE removed Tim_WMDE as the assignee of this task.Sep 4 2018, 12:34 PM
Tim_WMDE moved this task from Doing to Review on the WMDE-FUN-Sprint-2018-09-03 board.
Tim_WMDE added a subscriber: Tim_WMDE.

Change 457885 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Ensure only searchable namespaces are displayed

https://gerrit.wikimedia.org/r/457885

Can you help me how I can test this? There is no virtual topic namespace on beta, or is there?

Lea_WMDE closed this task as Resolved.Oct 11 2018, 8:54 AM